OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_RepresentedDefinition Class Reference

Representation of STEP SELECT type RepresentedDefinition
.

`#include <StepRepr_RepresentedDefinition.hxx>`

Inheritance diagram for StepRepr_RepresentedDefinition:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_RepresentedDefinition ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of RepresentedDefinition select type 1 -> GeneralProperty from StepBasic 2 -> PropertyDefinition from StepRepr 3 -> PropertyDefinitionRelationship from StepRepr 4 -> ShapeAspect from StepRepr 5 -> ShapeAspectRelationship from StepRepr 0 else .
Standard_EXPORT Handle_StepBasic_GeneralProperty | GeneralProperty () const
| Returns Value as GeneralProperty (or Null if another type) .
Standard_EXPORT Handle_StepRepr_PropertyDefinition | PropertyDefinition () const
| Returns Value as PropertyDefinition (or Null if another type) .
Standard_EXPORT Handle_StepRepr_PropertyDefinitionRelationship | PropertyDefinitionRelationship () const
| Returns Value as PropertyDefinitionRelationship (or Null if another type) .
Standard_EXPORT Handle_StepRepr_ShapeAspect | ShapeAspect () const
| Returns Value as ShapeAspect (or Null if another type) .
Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship | ShapeAspectRelationship () const
| Returns Value as ShapeAspectRelationship (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_RepresentedDefinition::StepRepr_RepresentedDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepRepr_RepresentedDefinition::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_GeneralProperty StepRepr_RepresentedDefinition::GeneralProperty | ( |  | ) | const

void StepRepr_RepresentedDefinition::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_RepresentedDefinition::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_RepresentedDefinition::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepRepr_PropertyDefinition StepRepr_RepresentedDefinition::PropertyDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_PropertyDefinitionRelationship StepRepr_RepresentedDefinition::PropertyDefinitionRelationship | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspect StepRepr_RepresentedDefinition::ShapeAspect | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ShapeAspectRelationship StepRepr_RepresentedDefinition::ShapeAspectRelationship | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepRepr_RepresentedDefinition.hxx